From 23f135711bb0a8318ad8177e3935256659b5671f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 17:27:59 +0000
Subject: [PATCH 368/1001] Resuscitate missing jinja filter.


---

diff --git a/hubs/app.py b/hubs/app.py
index 851e850..47099c4 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -1,3 +1,4 @@
+import datetime
 import functools
 import logging
 import os
@@ -17,10 +18,12 @@ from hubs.utils import username2avatar
 
 app = flask.Flask(__name__)
 
-# Register a global filter, useful for displaying user images
+# Register some useful global filters.
+def days_since(then):
+    return (datetime.datetime.utcnow() - then).days
+app.template_filter('days_since')(days_since)
 app.template_filter('avatar')(hubs.widgets.base.avatar)
 
-
 logging.basicConfig()
 
 

